package com.palmnest.application.dto.input;

import java.io.Serializable;

public class GoodsReleaseBillInputDto implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = -8499224751563019547L;


	//private Long releaseType;//放行类型(1 家私电器类 5杂物货物类)
	private String applyUser;//'申请人姓名',	
	private String applyTel;//'申请人手机号',
	private String processName;//流程名称
	private Long   companyid;//'放行企业Id',
	private String releaseDesc;//'放行描述',

	//放行审核记录用
	private String openId;
	private String id;
	private String remark;

	private Integer billFrom;//下单源

	private String  virAccountId;//企业账号ID
	private Integer orgId;//项目ID
	private Integer userId;//申请人ID

	private Integer roleId;//审核角色或者身份类型Id

	private String releaseUserName;//审批人姓名

	private String  nativePlace;//籍贯  ---->省市县
	private String  nativePlaceNumber;//籍贯编码
	private Integer personType;//人员类型 1-留在本市人员 2-返回本本市人员
	private String  leaveCityTime;
	private String  returnCityTime;
	private String  habitation;//春节居住地 ---->省市县
	private String  habitationNumber;//春节居住地 ---->省市县
	private Integer isToepidemic;//有无去过疫情严重区域(1-武汉 2-湖北非武汉 3-无 4-有

	private Integer isSevenDayCheckResult;// isSevenDayCheckResult (7日内核酸监测结果   0-阴  1-阳 2-未检测 3-空


	private String  isHaveSymptom;//是否有如下症状
	private String  symptomName;
	private Integer applyType;//复工类型
	private Integer updateType = 1;//修改类型 1新增 2修改


	public GoodsReleaseBillInputDto() {
	}


	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	//	public Long getReleaseType() {
//		return releaseType;
//	}
//	public void setReleaseType(Long releaseType) {
//		this.releaseType = releaseType;
//	}
	public String getApplyUser() {
		return applyUser;
	}

	public void setApplyUser(String applyUser) {
		this.applyUser = applyUser;
	}

	public String getApplyTel() {
		return applyTel;
	}

	public void setApplyTel(String applyTel) {
		this.applyTel = applyTel;
	}

	public Long getCompanyid() {
		return companyid;
	}

	public void setCompanyid(Long companyid) {
		this.companyid = companyid;
	}

	public String getReleaseDesc() {
		return releaseDesc;
	}

	public void setReleaseDesc(String releaseDesc) {
		this.releaseDesc = releaseDesc;
	}

	public Integer getBillFrom() {
		return billFrom;
	}

	public void setBillFrom(Integer billFrom) {
		this.billFrom = billFrom;
	}

	public String getVirAccountId() {
		return virAccountId;
	}

	public void setVirAccountId(String virAccountId) {
		this.virAccountId = virAccountId;
	}

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}


	public Integer getUserId() {
		return userId;
	}


	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getRoleId() {
		return roleId;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	public String getReleaseUserName() {
		return releaseUserName;
	}

	public void setReleaseUserName(String releaseUserName) {
		this.releaseUserName = releaseUserName;
	}

	public String getNativePlace() {
		return nativePlace;
	}

	public void setNativePlace(String nativePlace) {
		this.nativePlace = nativePlace;
	}

	public Integer getPersonType() {
		return personType;
	}

	public void setPersonType(Integer personType) {
		this.personType = personType;
	}

	public String getLeaveCityTime() {
		return leaveCityTime;
	}

	public void setLeaveCityTime(String leaveCityTime) {
		this.leaveCityTime = leaveCityTime;
	}


	public String getReturnCityTime() {
		return returnCityTime;
	}


	public void setReturnCityTime(String returnCityTime) {
		this.returnCityTime = returnCityTime;
	}


	public String getHabitation() {
		return habitation;
	}

	public void setHabitation(String habitation) {
		this.habitation = habitation;
	}


	public Integer getIsToepidemic() {
		return isToepidemic;
	}


	public void setIsToepidemic(Integer isToepidemic) {
		this.isToepidemic = isToepidemic;
	}


	public String getIsHaveSymptom() {
		return isHaveSymptom;
	}


	public void setIsHaveSymptom(String isHaveSymptom) {
		this.isHaveSymptom = isHaveSymptom;
	}


	public Integer getApplyType() {
		return applyType;
	}


	public void setApplyType(Integer applyType) {
		this.applyType = applyType;
	}


	public String getSymptomName() {
		return symptomName;
	}


	public void setSymptomName(String symptomName) {
		this.symptomName = symptomName;
	}


	public Integer getUpdateType() {
		return updateType;
	}


	public void setUpdateType(Integer updateType) {
		this.updateType = updateType;
	}


	public String getNativePlaceNumber() {
		return nativePlaceNumber;
	}


	public void setNativePlaceNumber(String nativePlaceNumber) {
		this.nativePlaceNumber = nativePlaceNumber;
	}


	public String getHabitationNumber() {
		return habitationNumber;
	}


	public void setHabitationNumber(String habitationNumber) {
		this.habitationNumber = habitationNumber;
	}

	public Integer getIsSevenDayCheckResult() {
		return isSevenDayCheckResult;
	}


	public void setIsSevenDayCheckResult(Integer isSevenDayCheckResult) {
		this.isSevenDayCheckResult = isSevenDayCheckResult;
	}


	@Override
	public String toString() {
		return "GoodsReleaseBillInputDto [applyUser=" + applyUser
				+ ", applyTel=" + applyTel + ", companyid=" + companyid
				+ ", releaseDesc=" + releaseDesc + ", openId=" + openId
				+ ", id=" + id + ", remark=" + remark + ", billFrom="
				+ billFrom + ", virAccountId=" + virAccountId + ", orgId="
				+ orgId + ", userId=" + userId + ", roleId=" + roleId
				+ ", releaseUserName=" + releaseUserName + ", nativePlace="
				+ nativePlace + ", nativePlaceNumber=" + nativePlaceNumber
				+ ", personType=" + personType + ", leaveCityTime="
				+ leaveCityTime + ", returnCityTime=" + returnCityTime
				+ ", habitation=" + habitation + ", habitationNumber="
				+ habitationNumber + ", isToepidemic=" + isToepidemic
				+ ", isSevenDayCheckResult=" + isSevenDayCheckResult
				+ ", isHaveSymptom=" + isHaveSymptom + ", symptomName="
				+ symptomName + ", applyType=" + applyType + ", updateType="
				+ updateType + "]";
	}


	public String getProcessName() {
		return processName;
	}


	public void setProcessName(String processName) {
		this.processName = processName;
	}




}
